<?php
/**
 * Header for admin pages
 *
 * @link https://timeslotplugins.com
 *
 * @package Time Slot
 * @since 1.0.0
 * 
 */

// Exit if accessed directly
if (!defined('ABSPATH')){
	exit;
}
?>

<header class='timeslot-header' aria-labelledby='header-h1'>

	<a href='<?php echo esc_url('https://timeslotplugins.com/') ?>' class='logo-link' target='_blank'>
		<img src='<?php echo esc_url(TIMESLOT_URL . 'admin/images/timeslot-logo.svg') ?>' height='35' width='200'>
	</a>

	<nav>
		<a href='<?php echo esc_url('https://timeslotplugins.com/docs/') ?>' class='ts-nav-link' target='_blank'>
			<?php esc_html_e('Docs', 'timeslot') ?>
		</a>
		<a href='<?php echo esc_url('https://timeslotplugins.com/contact/') ?>' class='ts-nav-link' target='_blank'>
			<?php esc_html_e('Contact', 'timeslot') ?>
		</a>
		<a href='<?php echo esc_url('https://timeslotplugins.com/shop/time-slot-pro/') ?>' class='ts-nav-link ts-highlight-link' target='_blank'>
			<?php esc_attr_e('Get Pro', 'timeslot') ?>
		</a>
	</nav>

</header>

<?php
	$timezone_string = get_option( 'timezone_string' );

	if ($timezone_string == '' || $timezone_string == 'UTC') {
		?>
		<p class='ts-notice'>

			<?php
			/* translators: Placeholder is URL */
			$timezone_help_string = __(' Please set your site timezone to a city name on the <a href="%s">WordPress General settings page</a>.', 'timeslot');
			$general_url = admin_url( 'options-general.php#WPLANG' );
			$link_kses = array('a' => array('href' => array()));
			echo sprintf( wp_kses( $timezone_help_string, $link_kses ), $general_url );
			?>

		</p>
		<?php
	}
?>