<?php
/**
 * Registers Elementor widget
 *
 * Registers booking form Elementor widget
 * and enqueues styles and scripts for editor
 *
 * @link https://timeslotplugins.com
 * @package Time Slot
 * @since 1.0.1
 * 
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'elementor/widgets/register', 'register_timeslot_form_widget' );

function register_timeslot_form_widget( $widgets_manager ) {

	require_once( TIMESLOT_PATH . '/admin/inc/elementor/form.php' );
	$widgets_manager->register( new \Elementor_Time_Slot_Form_Widget() );

}

add_action( 'elementor/preview/enqueue_scripts', 'tslot_preview_scripts' );

function tslot_preview_scripts() {

	wp_register_script('ts-elementor', TIMESLOT_URL . 'admin/inc/elementor/ts-elementor.js', array('elementor-frontend', 'jquery'), null, true);
	wp_enqueue_script('ts-elementor');

}

add_action( 'elementor/editor/before_enqueue_styles', 'tslot_preview_styles' );
add_action( 'elementor/preview/enqueue_styles', 'tslot_preview_styles' );

function tslot_preview_styles() {

	wp_register_style('ts-elementor', TIMESLOT_URL . 'admin/inc/elementor/ts-elementor.css', __FILE__ );
	wp_enqueue_style( 'ts-elementor' );

}