<?php
/**
 * Creates appointment settings menu page and tabs
 *
 * @link https://timeslotplugins.com
 *
 * @package Time Slot
 * @since 1.0.0
 * 
 */

// Exit if accessed directly
if (!defined('ABSPATH')){
	exit;
}

// Includes settings pages
include_once(TIMESLOT_PATH . 'admin/pages/tables/appointments.php');
include_once(TIMESLOT_PATH . 'admin/pages/tables/customers.php');
include_once(TIMESLOT_PATH . 'admin/pages/tables/payments.php');
include_once(TIMESLOT_PATH . 'admin/pages/tables/coupons.php');
include_once(TIMESLOT_PATH . 'admin/pages/tables/data-delete.php');
include_once(TIMESLOT_PATH . 'admin/pages/tables/build-table.php');

// Adds appointment settings to admin menu
add_action( 'admin_menu', 'tslot_appointments_page' );

function tslot_appointments_page() {
	add_submenu_page(
		'timeslot',
		__('Appointments', 'timeslot'),
		__('Appointments', 'timeslot'),
		'manage_options',
		'timeslot-appointments',
		'tslot_appointments_html'
	);
}

// Displays tabs and datatables
function tslot_appointments_html() {

	if (!current_user_can('manage_options')) {
		return;
	}

	include_once( TIMESLOT_PATH . 'admin/header.php' );
	$active_tab = isset($_GET['tab']) ? sanitize_text_field($_GET['tab']) : 'appointments';

	$nav = array(
		'appointments',
		'customers',
		'payments',
		'coupons',
	);

	?>

	<nav class='ts-nav nav-tab-wrapper' aria-label='<?php esc_attr_e('Appointment Information', 'timeslot');?>'>
		<ul>
			<?php 
			foreach($nav as $item){

				$class = $active_tab === $item ? 'nav-tab-active' : '';
				$label = __(ucwords($item), 'timeslot');
				$url = add_query_arg( array(
					'page' => 'timeslot-appointments',
					'tab' => $item,
				));

				?>
				<li>
					<a href='<?php echo esc_url($url); ?>' class='nav-tab <?php esc_attr_e($class); ?>'><?php esc_html_e($label);?></a>
				</li>
				<?php

			}
			?>
		</ul>
	</nav>

	<?php

	// Builds datatables
	$active_tab_init = 'tslot_' . $active_tab . '_tab_init';
	$active_tab_init();

}