<?php
/**
 * Payment method and calendar strings
 *
 * @link https://timeslotplugins.com
 *
 * @package Time Slot
 * @since 1.0.9
 * 
 */


// Easy Digital Downloads
__('Your license key has been disabled.', 'timeslot');
// translators: the license key expiration date
__('Your license key expired on %s.', 'timeslot');
__('Invalid license.', 'timeslot');
__('Your license is not active for this URL.', 'timeslot');
// translators: the plugin name
__('This appears to be an invalid license key for %s.', 'timeslot');
__('Your license key has reached its activation limit.', 'timeslot');
__('An error occurred, please try again.', 'timeslot');
// translators: the plugin name
__('There is a new version of %1$s available.', 'timeslot');
__('Contact your network administrator to install the update.', 'timeslot');
// translators: 1. opening anchor tag, do not translate 2. the new plugin version 3. closing anchor tag, do not translate.
__('%1$sView version %2$s details%3$s.', 'timeslot');
// translators: 1 & 4 opening anchor tags, do not translate 2. the new plugin version 3 & 5 closing anchor tags, do not translate.
__('%1$sView version %2$s details%3$s or %4$supdate now%5$s.', 'timeslot');
__('Update now.', 'timeslot');
__('You do not have permission to install plugin updates', 'timeslot');
__('Error', 'timeslot');
__('License Key', 'timeslot');
__('Deactivate License', 'timeslot');
__('Activate License', 'timeslot');

// Calendars
__('Google Calendar settings', 'timeslot');
__('Calendars', 'timeslot');
__('Google Calendar Settings', 'timeslot');
__('Client ID', 'timeslot');
__('Client Secret', 'timeslot');
__('Calendar ID', 'timeslot');
__('Redirect URI', 'timeslot');
__('External Calendars', 'timeslot');
__('Send your appointments to your calendar.', 'timeslot');
__('Google API', 'timeslot');
// translators: Placeholder is URL https://timeslotplugins.com/docs/set-up-google-calendar-sync
__('Need help finding your credentials? Visit <a href=\'%s\' target=\'_blank\'>our documentation</a> for more information.', 'timeslot');
__('Authorize Google Account', 'timeslot');

// Refunds
__('Refunds are no longer available for this payment.', 'timeslot');
__('Payment Refund Fetch Error', 'timeslot');
__('Payment Refund Error: ', 'timeslot');

// Payments
__('Email Fetch Error', 'timeslot');
__('There is a problem with the payment form.', 'timeslot');
__('Choose your payment gateway or choose Pay Locally if you\'ll only be accepting payments in person.', 'timeslot');
__('Set up your payment gateways', 'timeslot');
__('Sandbox Mode', 'timeslot');
__('Pay Now', 'timeslot');
__('Time Slot Pro license is invalid', 'timeslot');
__('Unauthorized', 'timeslot');

// PayPal
__('PayPal Fetch Error', 'timeslot');
__('There was a problem with your payment.', 'timeslot');
__('PayPal settings are missing or incorrect: Button could not be loaded', 'timeslot');
__('There is a problem with the payment button on this form.', 'timeslot');
__('PayPal is not set up correctly.', 'timeslot');
__('PayPal API Help', 'timeslot');
// translators: Placeholder is URL https://timeslotplugins.com/docs/set-up-paypal-payments
__('Need help finding your REST API credentials? Visit <a href=\'%s\' target=\'_blank\'>our documentation</a> for more information.', 'timeslot');
__('Rectangle', 'timeslot');
__('Pill', 'timeslot');
__('PayPal', 'timeslot');
__('Button Shape', 'timeslot');
__('Button Color', 'timeslot');
__('Secret', 'timeslot');
__('Sandbox Client ID', 'timeslot');
__('Sandbox Secret', 'timeslot');

// Square
__('Square Fetch Error', 'timeslot');
__('Square settings are missing or incorrect: Payment form could not be loaded', 'timeslot');
__('Square is not set up correctly.', 'timeslot');
__('There was a problem with the CVV.', 'timeslot');
__('There was a problem with the zip code.', 'timeslot');
__('The card has expired.', 'timeslot');
__('There was a problem with the expiration date.', 'timeslot');
__('There are insufficient funds to cover the payment.', 'timeslot');
__('An unexpected error occurred. The payment was not successful.', 'timeslot');
// translators: Placeholder is URL https://timeslotplugins.com/docs/set-up-square-payments
__('Need help finding your tokens? Visit <a href=\'%s\' target=\'_blank\'>our documentation</a> for more information.', 'timeslot');
__('Square API Help', 'timeslot');
__('Square', 'timeslot');
__('Location Id', 'timeslot');
__('Production Application Id', 'timeslot');
__('Production Access Token', 'timeslot');
__('Sandbox Location Id', 'timeslot');
__('Sandbox Application Id', 'timeslot');
__('Sandbox Access Token', 'timeslot');

// Stripe
__('Stripe is not set up correctly.', 'timeslot');
__('Stripe settings are missing or incorrect: Payment form could not be loaded', 'timeslot');
__('Stripe Fetch Error', 'timeslot');
// translators: Placeholder is URL
__('Need help finding your keys? Visit <a href=\'%s\' target=\'_blank\'>our documentation</a> for more information.', 'timeslot');
__('Stripe API Help', 'timeslot');
__('Stripe', 'timeslot');
__('Live Publishable Key', 'timeslot');
__('Live Secret Key', 'timeslot');
__('Test Publishable Key', 'timeslot');
__('Test Secret Key', 'timeslot');

// Mollie
__('There was a problem with your refund.', 'timeslot');
__('There was a problem with the payment.', 'timeslot');
__('Mollie Refund Error: ', 'timeslot');
__('Mollie Payment Failed: ', 'timeslot');
__('Mollie is not set up correctly.', 'timeslot');
/* translators: Placeholder is service name for customer name */
__('%1$s for %2$s', 'timeslot');

// CSV Import
__('Please upload a valid CSV file', 'timeslot');
__('Please upload a CSV file', 'timeslot');
/* translators: Placeholder is page title */
__('Import %s', 'timeslot');
/* translators: Placeholder is page title */
__('%s imported successfully', 'timeslot');
__('Upload a csv file. Include the column names in the first row.', 'timeslot');
__('Select a csv file', 'timeslot');
__('There is a problem with your Time Slot Pro license.', 'timeslot');

// Emails
__('Appointment Reminder', 'timeslot');
__('Reminder Subject', 'timeslot');
__('Reminder Message', 'timeslot');